import lume from "https://deno.land/x/lume/mod.ts";
import sass from "https://deno.land/x/lume/plugins/sass.ts";
import date from "https://deno.land/x/lume/plugins/date.ts";
import jsx from "https://deno.land/x/lume/plugins/jsx.ts";
import terser from "https://deno.land/x/lume/plugins/terser.ts";
import postcss from "https://deno.land/x/lume/plugins/postcss.ts";

const site = lume();

site.use(sass({
  includes: ['_includes'],
}));
site.use(date());
site.use(jsx());
site.use(terser());
site.use(postcss());

site.loadAssets([
  ".png",
  ".jpg",
  ".svg",
  ".pdf",
  ".woff2",
  ".woff",
  ".ttf",
  ".otf",
  ".js",
  ".txt",
]);

export default site;
