import { title as titleFilter } from '../filters.ts';

export default ({
  title,
  theme,
  extraStylesheets,
  extraScripts,
  cacheBust,
}) => <head>
  <meta charset="utf-8" />
  <title>{ titleFilter(title) }</title>

  <link rel="shortcut icon" href="/assets/pubsolar.svg" />

  <meta name="theme-color" content="{{ theme.color }}" id="theme-color" />
  <meta name="description" content="pub.solar wants you to have control of your data and privacy. We host Matrix, Nextcloud, and Mastodon for you to use." />

  <meta id="viewport" name="viewport" content="width=device-width, initial-scale=1.0" />

  <link rel="stylesheet" type="text/css" href={`/styles.css${cacheBust}`} media="all" />

  <>
    {(extraStylesheets || [])
        .map(extraStylesheet => <link rel="stylesheet" type="text/css" href={`${extraStylesheet}${cacheBust}`} media="all" />)}
  </>
  <>
    {(extraScripts || [])
      .map(extraScript => <script defer type="application/javascript" src={`${extraScript}${cacheBust}`}></script>)}
  </>
</head>;
